aboutsummaryrefslogtreecommitdiffstats
path: root/testing/tomahawk/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2015-05-21 02:03:42 +0200
committerCarlo Landmeter <clandmeter@gmail.com>2015-05-21 02:03:48 +0200
commit30d58a05192cde0b8eab6a72e7e485e3d0082847 (patch)
tree72c2c4df7bfd1d93c7172cbecd0a4c833c19a8df /testing/tomahawk/APKBUILD
parentd7a78a99289cb0887ef92d4fe271b617c0004d2d (diff)
downloadaports-30d58a05192cde0b8eab6a72e7e485e3d0082847.tar.gz
aports-30d58a05192cde0b8eab6a72e7e485e3d0082847.tar.bz2
aports-30d58a05192cde0b8eab6a72e7e485e3d0082847.tar.xz
testing/tomahawk: new aport
Diffstat (limited to 'testing/tomahawk/APKBUILD')
-rw-r--r--testing/tomahawk/APKBUILD55
1 files changed, 55 insertions, 0 deletions
diff --git a/testing/tomahawk/APKBUILD b/testing/tomahawk/APKBUILD
new file mode 100644
index 0000000000..ef5976981c
--- /dev/null
+++ b/testing/tomahawk/APKBUILD
@@ -0,0 +1,55 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer:
+pkgname=tomahawk
+pkgver=0.8.4
+pkgrel=0
+pkgdesc="A Music Player App written in C++/Qt"
+url="http://tomahawk-player.org/"
+arch="all"
+license="GPL3"
+depends=""
+depends_dev="qt-dev phonon-dev sqlite-dev boost-dev gnutls-dev qtkeychain-dev
+ libechonest-dev lucene++-dev taglib-dev qca-dev attica-dev quazip-dev
+ liblastfm-dev qtkeychain-dev"
+makedepends="$depends_dev cmake sparsehash websocket++ automoc4 linux-headers
+ bsd-compat-headers"
+install=""
+subpackages="$pkgname-dev"
+source="http://download.tomahawk-player.org/tomahawk-$pkgver.tar.bz2
+ musl-fixes.patch"
+
+_builddir="$srcdir"/tomahawk-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ mkdir "$_builddir"/build
+ cd "$_builddir"/build
+ cmake "$_builddir" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_LIBDIR=lib \
+ -DCMAKE_INSTALL_LIBEXECDIR=lib/${pkgname} \
+ -DBUILD_SHARED_LIBS=True \
+ -DCMAKE_BUILD_TYPE=Release \
+ || return 1
+
+}
+
+package() {
+ cd "$_builddir"/build
+ make DESTDIR=${pkgdir} install
+}
+
+md5sums="04832abe1786edcc55805875b5882445 tomahawk-0.8.4.tar.bz2
+d544233b9cca0be6b4fda9855b8a4cfa musl-fixes.patch"
+sha256sums="0fb04bc6b7009e17186b3d384057939727c6f289d22f7f9a5ed2c9c9cd800449 tomahawk-0.8.4.tar.bz2
+a1797803b2db585b001ff21c9609d59cccf6451670e695da12ff66e6dc5e7d10 musl-fixes.patch"
+sha512sums="5b312f593eac39d06de05e24d4ce429122d0777a9d52d6db8c65309ac283d7ae560c2fc189b186f0f8b1a7bbe1135ed0d59e1d850de6a93655e53efe4f5317c7 tomahawk-0.8.4.tar.bz2
+eaf3a13d6e664999820aa562921462ca51e3abea464fd4fba3864ac9cac723b13fa5d349feea88a4c44356348bab127dda0899fb6335e610a8e4f5172d55b1d9 musl-fixes.patch"